﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DoubleTextBox
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.doubleTextBox.ValueChanged += DoubleTextBox_ValueChanged;
        }

        /// <summary>
        /// Event triggers when value changed in the DoubleTextBox
        /// </summary>
        private void DoubleTextBox_ValueChanged(DependencyObject d, DependencyPropertyChangedEventArgs e)
        {
            if (doubleTextBox.Value != null)
            {
                int result = (int)((doubleTextBox.Value % 1) * 10);
                if (result == 0)
                {
                    doubleTextBox.NumberDecimalDigits = 0;
                }
                else
                {
                    doubleTextBox.NumberDecimalDigits = 1;
                }
            }
        }
      
    }
}
